Arbor 3: FSM & BT Graph Editor 3.1.2

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
RerouteSlot Class Reference

Slot used for midpoint of CalculatorBranch. More...

Inheritance diagram for RerouteSlot:

## Public Member Functions
void | SetInputBranch (CalculatorBranch branch)
| Set CalculatorBranch. More...
void | RemoveInputBranch (CalculatorBranch branch)
| Remove CalculatorBranch. More...
CalculatorBranch | GetInputBranch ()
| Get CalculatorBranch. More...
bool | IsConnectedInput (CalculatorBranch branch)
| It judges whether it is connected with CalculatorBranch. More...
void | AddOutputBranch (CalculatorBranch branch)
| Addition of CalculatorBranch. More...
void | RemoveOutputBranch (CalculatorBranch branch)
| Remove CalculatorBranch. More...
int | GetOutputBranchCount ()
| Get count of CalculatorBranch. More...
CalculatorBranch | GetOutputBranch (int index)
| Get CalculatorBranch. More...
bool | IsConnectedOutput (CalculatorBranch branch)
| It judges whether it is connected with CalculatorBranch. More...

## Public Attributes
int | inputBranchID
| Input branch ID More...
List< int > | outputBranchIDs = new List<int>()
| Output branch ID More...
ClassTypeReference | type = new ClassTypeReference()
| Connectable value type More...
Public Attributes inherited from CalculatorSlot
NodeGraph | nodeGraph
| State machine slot belongs More...
Rect | position
| Position on ArborEditor of slot(Editor Only) More...

## Properties
override SlotType | slotType`[get]`
| Slot type More...
override System.Type | dataType`[get]`
| The type of data stored in the slot More...
Properties inherited from CalculatorSlot
abstract SlotType | slotType`[get]`
| Slot type More...
abstract System.Type | dataType`[get]`
| The type of data stored in the slot More...

## Detailed Description

Slot used for midpoint of CalculatorBranch.

## Member Function Documentation

void AddOutputBranch | ( | CalculatorBranch | branch | ) |

Addition of CalculatorBranch.

Parameters

  branch | CalculatorBranch

Implements IOutputSlot.

CalculatorBranch GetInputBranch | ( |  | ) |

Get CalculatorBranch.

Returns
  CalculatorBranch

Implements IInputSlot.

CalculatorBranch GetOutputBranch | ( | int | index | ) |

Get CalculatorBranch.

Parameters

  index | Index

Returns
  CalculatorBranch

Implements IOutputSlot.

int GetOutputBranchCount | ( |  | ) |

Get count of CalculatorBranch.

Returns
  Count of CalculatorBranch

Implements IOutputSlot.

bool IsConnectedInput | ( | CalculatorBranch | branch | ) |

It judges whether it is connected with CalculatorBranch.

Parameters

  branch | CalculatorBranch

Returns
  True if connected, false otherwise.

Implements IInputSlot.

bool IsConnectedOutput | ( | CalculatorBranch | branch | ) |

It judges whether it is connected with CalculatorBranch.

Parameters

  branch | CalculatorBranch

Returns
  True if connected, false otherwise.

Implements IOutputSlot.

void RemoveInputBranch | ( | CalculatorBranch | branch | ) |

Remove CalculatorBranch.

Parameters

  branch | CalculatorBranch

Implements IInputSlot.

void RemoveOutputBranch | ( | CalculatorBranch | branch | ) |

Remove CalculatorBranch.

Parameters

  branch | CalculatorBranch

Implements IOutputSlot.

void SetInputBranch | ( | CalculatorBranch | branch | ) |

Set CalculatorBranch.

Parameters

  branch | CalculatorBranch

Implements IInputSlot.

## Member Data Documentation

int inputBranchID

Input branch ID

List<int> outputBranchIDs = new List<int>()

Output branch ID

ClassTypeReference type = new ClassTypeReference()

Connectable value type

## Property Documentation

override System.Type dataType
| get

The type of data stored in the slot

override SlotType slotType
| get

Slot type